Module jdk.compiler
Package com.sun.source.tree

## Interface SynchronizedTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      public interface SynchronizedTree
      extends StatementTree

  A tree node for a `synchronized` statement. For example:

         synchronized ( expression )
             block

  Since:
    1.6
  See The Java™ Language Specification:
    section 14.19

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockTree` | `getBlock​()` | Returns the block of the `synchronized` statement.
    `ExpressionTree` | `getExpression​()` | Returns the expression on which to synchronize.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression​()

      Returns the expression on which to synchronize.
      Returns:
        the expression

    - #### getBlock

          BlockTree getBlock​()

      Returns the block of the `synchronized` statement.
      Returns:
        the block